spec:
  inputs:
    stage:
---
.component-default-job:
  image: busybox
  stage: $[[ inputs.stage ]]

component-job-1:
  extends: .component-default-job
  script: echo job 1

component-job-2:
  extends: .component-default-job
  script: echo job 2

component-job-3:
  extends: .component-default-job
  script: echo job 3
